<div class="container">
    <div id="contenido" class="container text-center">
        <h3 class="my-3 ">{{titulo}}</h3>

        <div style="color: red; text-align: left !important;" *ngIf="mensajeError">
            No hemos podido leer su documento, intente nuevamente.
        </div>
            <div class="row">
                <div class="col-6 mx-auto my-3"> <img alt="" class="img-fluid" src="{{fotoFT}}"> </div>
            </div>
        <ng-template #elseErr>
            <div class="px-5"> 
                <img src="{{fotoFT}}" alt="" style="width: 150px; height: 150px;" class="img-fluid" >
        
            </div>
        </ng-template>
        <p class="text-2">{{description}}</p>
        <p class="my-3">
            <button id="captureCameraWeb" (click)="captureID()" type="button" class="btn btn-lg btn-block btn-danger mr-3 btnUrl captureCameraWeb btnPrimary" data-url="errorIdentificacion.html"
            [style.background-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.color]="getColorLabel()"><i class="fas fa-camera"></i> Tomar foto</button>
        </p>

        <p class="my-3">
            <button id="captureCameraWebBack" (click)="captureIDBack()" type="button" class="btn btn-lg btn-block btn-danger mr-3 btnUrl captureCameraWeb btnPrimary" data-url="errorIdentificacion.html"
            [style.background-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.color]="getColorLabel()"><i class="fas fa-camera"></i> Tomar foto</button>
        </p>
        
        <p class="my-3">
            <button id="captureGaleriaFront" (click)="captureID()" type="button" class="btn btn-lg btn-block btn-danger mr-3 btnUrl  btnPrimary" data-url="errorIdentificacion.html"
            [style.background-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.color]="getColorLabel()"><i class="fas fa-camera"></i> Galeria</button>
        </p>

        <p class="my-3">
            <button id="captureGaleriaBack" (click)="captureIDBack()" type="button" class="btn btn-lg btn-block btn-danger mr-3 btnUrl  btnPrimary" data-url="errorIdentificacion.html"
            [style.background-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.color]="getColorLabel()"><i class="fas fa-camera"></i> Galeria</button>
        </p>

        <!-- <p class="my-3">
            <button id="submitData" (click)="submitData()" type="button" class="btn btn-lg btn-block btn-danger mr-3 btnUrl  btnPrimary" data-url="errorIdentificacion.html"
            [style.background-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.color]="getColorLabel()"><i class="fas fa-camera"></i> enviar</button>
        </p> -->

        <p class="my-3">
            <button id="MovilContinue" (click)="movilContinue()" type="button" class="btn btn-lg btn-block btn-danger mr-3 btnUrl continue btnPrimary" data-url="errorIdentificacion.html"
            [style.border-color]="getColorButton()"
            ><i class="fas fa-mobile"></i> Continuar en el celular</button>
        </p>

    </div>

    <div id="modalSpinner" class="modal2 my-auto">

        <!-- Modal content -->
        <div class="modal2-content">
            <label class="" id="validarLabel">
                <span class="spinner-border spinner-border-sm"></span>
                {{mensajeModal}}
            </label>
        </div>
    </div>
</div>



<div id="modalConfirm" class="modal my-auto">

    <!-- Modal content -->
    <div class="modal-content">
        <h3>Aviso importante</h3>
        <p>Si presiona el botón "Confirmar" únicamente podrá continuar su registro en su dispositivo móvil</p>
        <button id="btnAceptarModal" type="button" (click)="aceptar()" class="btn btn-lg btn-block mr-3 btnUrl colorTextBtn btnPrimary"
        [style.background-color]="getColorButton()"
        [style.border-color]="getColorButton()"
        [style.color]="getColorLabel()">Confirmar</button>
        <button id="btnCancelarModal" type="button" (click)="cerrarModal()" class="btn btn-lg btn-block mr-3 btnUrl colorTextBtn btnPrimary"
        [style.border-color]="getColorButton()"
        [style.color]="getColorLabel()">Regresar</button>
    </div>
</div>